Subject: Re: FST 866 YL (MITSUBISHI-L200)
From: Raphael Peter <[email-masked]>
To: Folashade Odutola <[email-masked]>, Okoroafor Igwe <[email-masked]>, Michael Orimolade <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>, celestine ugbe <[email-masked]>, Robert Iyade <[email-masked]>
Date: Tue, 13 Jan 2026 08:55:10 +0000

330,000.00 Approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Folashade Odutola <[email-masked]>
Sent: Tuesday, January 13, 2026 8:05 AM
To: Okoroafor Igwe <[email-masked]>; Michael Orimolade <[email-masked]>; Raphael Peter <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; celestine ugbe <[email-masked]>; Robert Iyade <[email-masked]>
Subject: Re: FST 866 YL  (MITSUBISHI-L200)

Dear @Raphael Peter<mailto:[email-masked]>
Kindly approve the below

[Best Regards" Images – Browse 179 Stock ...]

Afolasade Odutola

Team Lead Maintenance South-west | Hertz/C&I Fleet Management |Leasing House|Leasing Drive, Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

Contact :09062488013

Whatsapp:08056799122

Email :| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Tuesday, January 13, 2026 8:03 AM
To: Michael Orimolade <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Emmanuel Nwachukwu <[email-masked]>; celestine ugbe <[email-masked]>; Robert Iyade <[email-masked]>
Subject: RE: FST 866 YL  (MITSUBISHI-L200)

Dear Michael,

Kindly use this approval.

S/N

Description of Goods

Qty.

N

APPROVAL Amt

HOD

1

Headlamp

350,000

310,000

250000

2

Bumper revamp

40,000

25,000

20000

3

Bumper bracket

1

20,000

15,000

15000

4

Painting

50,000

30,000

30000

5

Labour

30,000

20,000

15000

TOTAL N

490,000

400,000

NGN330,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Michael Orimolade <[email-masked]>
Sent: Tuesday, 13 January 2026 06:54
To: Okoroafor Igwe <[email-masked]>
Cc: Folashade Odutola <[email-masked]>; Emmanuel Nwachukwu <[email-masked]>; celestine ugbe <[email-masked]>; Robert Iyade <[email-masked]>
Subject: RE: FST 866 YL  (MITSUBISHI-L200)

Dear Sir, @Okoroafor Igwe<mailto:[email-masked]>

Please review and approve.

S/N

Description of Goods

Qty.

N

APPROVAL Amt

HOD

AUDIT

1

Headlamp

350,000

310,000

2

Bumper revamp

40,000

25,000

3

Bumper bracket

1

20,000

15,000

4

Painting

50,000

30,000

5

Labour

30,000

20,000

TOTAL N

490,000

400,000

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Oscar Joseph <[email-masked]<mailto:[email-masked]>>
Sent: Monday, 12 January 2026 18:20
To: Michael Orimolade <[email-masked]<mailto:[email-masked]>>
Cc: Folashade Odutola <[email-masked]<mailto:[email-masked]>>; 3TEE SERVICES COMPANY <[email-masked]<mailto:[email-masked]>>
Subject: FST 866 YL  (MITSUBISHI-L200)

Dear Michael

Please find attached estimate

Regards
Oscar